{% extends 'base.html.twig' %}

{% block title %}Liste des films{% endblock %}
{% block myTitle %}Liste des films{% endblock %}
{% block body %}
<div class="row no-gutters">
  {% for film in films %}
    <div class="card text-white bg-primary mx-auto mb-3" style="max-width: 20rem;">
      <div class="card-header">
        <img class="card-img" src="{{ asset('images/' ~ film.image) }}" alt="{{ film.image }}">
      </div>
      <div class="card-body">
        <h4 class="card-title text-center">{{ film.title }} - {{ film.getReleaseYear() }}</h4>
        <p class="card-text">{{ film.description }}</p>
        <div class="row">
          <div class="col">
            Réalisateur: {{ film.director }}
          </div>
          <div class="col">
            Durée: {{ film.duration }} min
          </div>
        </div>
        <div class="row no-gutters">
          <div class="col-12 text-center">Acteurs: </div>
          {% for actor in film.actors %}
            <div class="col btn btn-primary">{{ actor }}</div>
          {% endfor %}
        </div>
      </div>
    </div>
  {% endfor %}
</div>
{% endblock %}